Subject: Re: libstc++.dll: any __declspec(dllimport) patch available?
From: Christof Petig <[email-masked]>
To: Cygwin <[email-masked]>
Cc: Cédric Gustin <[email-masked]>
Date: Sat, 23 Jun 2001 23:52:20 +0200

Christof Petig wrote:

> Christof Petig wrote:
>
> > While trying to create a import library for a dll I found that the usual
> > way does not create external symbols for the DATA section. This occured
> > with
> > Cygwin's tools and Reinhard's Linux cross tools, and with two different
> > libraries (libiconv and libstdc++), so it looks like a general problem.
>
> It looks like the solution is to use
> __declspec (dllexport)  and  __declspec (dllimport)
> (AFAICS)
>
> Does anybody ever have provided a patch for libsigc++?

I misspelled it - I meant libstdc++. Freudsche Fehlleistung. Sorry for
the confusion I have created. Of course I knew that Cedrik has written
such a thing for libSIGc++, but I look for libSTDc++.

(I only realized it after I stared on Cedriks reply for a while, which
didn't make sense to me until I found my mistake)

Sorry,
   Christof

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple